### Method

# Gtk SizeGroupset_mode

#### Declaration [src]

    void
    gtk_size_group_set_mode (
      GtkSizeGroup* size_group,
      GtkSizeGroupMode mode
    )

#### Description [src]

Sets the `GtkSizeGroupMode` of the size group.

The mode of the size group determines whether the widgets in the size group should all have the same horizontal requisition (`GTK_SIZE_GROUP_HORIZONTAL`) all have the same vertical requisition (`GTK_SIZE_GROUP_VERTICAL`), or should all have the same requisition in both directions (`GTK_SIZE_GROUP_BOTH`).

Sets property | `Gtk.SizeGroup:mode`

#### Parameters

`mode`

  Type: `GtkSizeGroupMode`

  The mode to set for the size group.